[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.LookupDataSet

Dataset with lookup values

## Declaration

Source position: db.pas line 433

`published property TField.LookupDataSet: TDataSet read FLookupDataSet write FLookupDataSet;`

## Description

LookupDataset is used by lookup fields to fetch the field's value. The LookupKeyFields property is used as a list of fields to locate a record in this dataset, and the value of the LookupResultField field is then used as the value of the lookup field.

## See also

KeyFields |  | Key fields to use when looking up a field value.
LookupKeyFields |  | Names of fields on which to perform a locate
LookupResultField |  | Name of field to use as lookup value
LookupCache |  | Should lookup values be cached

The latest version of this document can be found at lazarus-ccr.sourceforge.net .